diff --git a/Modules/Segmentation/Watersheds/include/itkWatershedSegmenter.hxx b/Modules/Segmentation/Watersheds/include/itkWatershedSegmenter.hxx
index cf1aa0116c..a301227f42 100644
--- a/Modules/Segmentation/Watersheds/include/itkWatershedSegmenter.hxx
+++ b/Modules/Segmentation/Watersheds/include/itkWatershedSegmenter.hxx
@@ -1241,29 +1240,31 @@ CLANG_PRAGMA_POP
   Pipeline methods
   ----------------------------------------------------------------------------
 */
-template< typename TInputImage >
-typename Segmenter< TInputImage >::DataObjectPointer
-Segmenter< TInputImage >
-::MakeOutput(DataObjectPointerArraySizeType idx)
+template <typename TInputImage>
+typename Segmenter<TInputImage>::DataObjectPointer
+Segmenter<TInputImage>::MakeOutput(DataObjectPointerArraySizeType idx)
 {
-  if ( idx == 0 )
-    {
+  if (idx == 0)
+  {
     return OutputImageType::New().GetPointer();
-    }
-  else if ( idx == 1 )
-    {
+  }
+  else if (idx == 1)
+  {
     return SegmentTableType::New().GetPointer();
-    }
-  else if ( idx == 2 )
-    {
+  }
+  else if (idx == 2)
+  {
     return BoundaryType::New().GetPointer();
-    }
-  else { return ITK_NULLPTR; }
+  }
+  else
+  {
+    return nullptr;
+  }
 }
 
-template< typename TInputImage >
+template <typename TInputImage>
 void
-Segmenter< TInputImage >::UpdateOutputInformation()
+Segmenter<TInputImage>::UpdateOutputInformation()
 {
   unsigned int i;
 
@@ -1271,28 +1272,26 @@ Segmenter< TInputImage >::UpdateOutputInformation()
   Superclass::UpdateOutputInformation();
 
   // get pointers to the input and output
-  typename InputImageType::Pointer inputPtr = this->GetInputImage();
+  typename InputImageType::Pointer  inputPtr = this->GetInputImage();
   typename OutputImageType::Pointer outputPtr = this->GetOutputImage();
 
-  if ( !inputPtr || !outputPtr )
-    {
+  if (!inputPtr || !outputPtr)
+  {
     return;
-    }
+  }
   // we need to compute the output spacing, the output image size, and the
   // output image start index
-  const typename InputImageType::SizeType &   inputSize =
-    inputPtr->GetLargestPossibleRegion().GetSize();
-  const typename InputImageType::IndexType &  inputStartIndex =
-    inputPtr->GetLargestPossibleRegion().GetIndex();
+  const typename InputImageType::SizeType &  inputSize = inputPtr->GetLargestPossibleRegion().GetSize();
+  const typename InputImageType::IndexType & inputStartIndex = inputPtr->GetLargestPossibleRegion().GetIndex();
 
-  typename OutputImageType::SizeType outputSize;
+  typename OutputImageType::SizeType  outputSize;
   typename OutputImageType::IndexType outputStartIndex;
 
-  for ( i = 0; i < OutputImageType::ImageDimension; i++ )
-    {
+  for (i = 0; i < OutputImageType::ImageDimension; i++)
+  {
     outputSize[i] = inputSize[i];
-    outputStartIndex[i]  = inputStartIndex[i];
-    }
+    outputStartIndex[i] = inputStartIndex[i];
+  }
 
   typename OutputImageType::RegionType outputLargestPossibleRegion;
   outputLargestPossibleRegion.SetSize(outputSize);
@@ -1301,89 +1300,85 @@ Segmenter< TInputImage >::UpdateOutputInformation()
   outputPtr->SetLargestPossibleRegion(outputLargestPossibleRegion);
 }
 
-template< typename TInputImage >
-void Segmenter< TInputImage >::GenerateInputRequestedRegion()
+template <typename TInputImage>
+void
+Segmenter<TInputImage>::GenerateInputRequestedRegion()
 {
   // call the superclass' implementation of this method
   Superclass::GenerateInputRequestedRegion();
 
   // get pointers to the input and output
-  typename InputImageType::Pointer inputPtr  = this->GetInputImage();
+  typename InputImageType::Pointer  inputPtr = this->GetInputImage();
   typename OutputImageType::Pointer outputPtr = this->GetOutputImage();
 
-  if ( !inputPtr || !outputPtr )
-    {
+  if (!inputPtr || !outputPtr)
+  {
     return;
-    }
+  }
 
   //
   // FOR NOW WE'LL JUST SET THE INPUT REGION TO THE OUTPUT REGION
   // AND OVERRIDE THIS LATER
   //
-  inputPtr->SetRequestedRegion( outputPtr->GetRequestedRegion() );
+  inputPtr->SetRequestedRegion(outputPtr->GetRequestedRegion());
 }
 
-template< typename TInputImage >
+template <typename TInputImage>
 void
-Segmenter< TInputImage >
-::GenerateOutputRequestedRegion(DataObject *output)
+Segmenter<TInputImage>::GenerateOutputRequestedRegion(DataObject * output)
 {
   // Only the Image output need to be propagated through.
   // No choice but to use RTTI here.
-  ImageBase< ImageDimension > *imgData;
-  ImageBase< ImageDimension > *op;
-  imgData = dynamic_cast< ImageBase< ImageDimension > * >( output );
+  ImageBase<ImageDimension> * imgData;
+  ImageBase<ImageDimension> * op;
+  imgData = dynamic_cast<ImageBase<ImageDimension> *>(output);
   typename TInputImage::RegionType c_reg;
 
-  if ( imgData )
+  if (imgData)
+  {
+    std::vector<ProcessObject::DataObjectPointer>::size_type idx;
+    for (idx = 0; idx < this->GetNumberOfIndexedOutputs(); ++idx)
     {
-    std::vector< ProcessObject::DataObjectPointer >::size_type idx;
-    for ( idx = 0; idx < this->GetNumberOfIndexedOutputs(); ++idx )
+      if (this->GetOutput(idx) && this->GetOutput(idx) != output)
       {
-      if ( this->GetOutput(idx) && this->GetOutput(idx) != output )
-        {
-        op = dynamic_cast< ImageBase< ImageDimension >
-                           * >( this->GetOutput(idx) );
+        op = dynamic_cast<ImageBase<ImageDimension> *>(this->GetOutput(idx));
 
-        if ( op ) { this->GetOutput(idx)->SetRequestedRegion(output); }
+        if (op)
+        {
+          this->GetOutput(idx)->SetRequestedRegion(output);
         }
       }
     }
+  }
 }
 
-template< typename TInputImage >
-Segmenter< TInputImage >
-::Segmenter()
+template <typename TInputImage>
+Segmenter<TInputImage>::Segmenter()
 {
   m_Threshold = 0.0;
   m_MaximumFloodLevel = 1.0;
   m_CurrentLabel = 1;
   m_DoBoundaryAnalysis = false;
   m_SortEdgeLists = true;
-  m_Connectivity.direction = ITK_NULLPTR;
-  m_Connectivity.index = ITK_NULLPTR;
-  typename OutputImageType::Pointer img =
-    static_cast< OutputImageType * >( this->MakeOutput(0).GetPointer() );
-  typename SegmentTableType::Pointer st =
-    static_cast< SegmentTableType * >( this->MakeOutput(1).GetPointer() );
-  typename BoundaryType::Pointer bd =
-    static_cast< BoundaryType * >( this->MakeOutput(2).GetPointer() );
+  m_Connectivity.direction = nullptr;
+  m_Connectivity.index = nullptr;
+  typename OutputImageType::Pointer  img = static_cast<OutputImageType *>(this->MakeOutput(0).GetPointer());
+  typename SegmentTableType::Pointer st = static_cast<SegmentTableType *>(this->MakeOutput(1).GetPointer());
+  typename BoundaryType::Pointer     bd = static_cast<BoundaryType *>(this->MakeOutput(2).GetPointer());
   this->SetNumberOfRequiredOutputs(3);
-  this->ProcessObject::SetNthOutput( 0, img.GetPointer() );
-  this->ProcessObject::SetNthOutput( 1, st.GetPointer() );
-  this->ProcessObject::SetNthOutput( 2, bd.GetPointer() );
+  this->ProcessObject::SetNthOutput(0, img.GetPointer());
+  this->ProcessObject::SetNthOutput(1, st.GetPointer());
+  this->ProcessObject::SetNthOutput(2, bd.GetPointer());
 
   // Allocate memory for connectivity
   m_Connectivity.size = 2 * ImageDimension;
   m_Connectivity.index = new unsigned int[m_Connectivity.size];
-  m_Connectivity.direction =
-    new typename InputImageType::OffsetType[m_Connectivity.size];
+  m_Connectivity.direction = new typename InputImageType::OffsetType[m_Connectivity.size];
 }
 
-template< typename TInputImage >
+template <typename TInputImage>
 void
-Segmenter< TInputImage >
-::PrintSelf(std::ostream & os, Indent indent) const
+Segmenter<TInputImage>::PrintSelf(std::ostream & os, Indent indent) const
 {
   Superclass::PrintSelf(os, indent);
   os << indent << "SortEdgeLists: " << m_SortEdgeLists << std::endl;
diff --git a/Modules/Segmentation/Watersheds/src/itkOneWayEquivalencyTable.cxx b/Modules/Segmentation/Watersheds/src/itkOneWayEquivalencyTable.cxx
index 14845b0fb7..9587de215b 100644
--- a/Modules/Segmentation/Watersheds/src/itkOneWayEquivalencyTable.cxx
+++ b/Modules/Segmentation/Watersheds/src/itkOneWayEquivalencyTable.cxx
@@ -19,19 +19,23 @@
 
 namespace itk
 {
-bool OneWayEquivalencyTable::Add(unsigned long a, unsigned long b)
+bool
+OneWayEquivalencyTable::Add(unsigned long a, unsigned long b)
 {
   //
   // Unlike EquivalencyTable, the order of the equivalence is important.
   //
-  std::pair< Iterator, bool > result;
-  if ( a == b ) { return false; }
-  result = m_HashMap.insert( ValueType(a, b) );
+  std::pair<Iterator, bool> result;
+  if (a == b)
+  {
+    return false;
+  }
+  result = m_HashMap.insert(ValueType(a, b));
 
   return result.second;
 }
 
-//void OneWayEquivalencyTable::PrintHashTable()
+// void OneWayEquivalencyTable::PrintHashTable()
 //{
 //  ConstIterator it = this->Begin();
 //  while (it != this->End() )
@@ -41,18 +45,20 @@ bool OneWayEquivalencyTable::Add(unsigned long a, unsigned long b)
 //    }
 //}
 
-void OneWayEquivalencyTable::Flatten()
+void
+OneWayEquivalencyTable::Flatten()
 {
   Iterator it = this->Begin();
 
-  while ( it != this->End() )
-    {
-    ( *it ).second = this->RecursiveLookup( ( *it ).first );
+  while (it != this->End())
+  {
+    (*it).second = this->RecursiveLookup((*it).first);
     it++;
-    }
+  }
 }
 
-unsigned long OneWayEquivalencyTable::RecursiveLookup(const unsigned long a) const
+unsigned long
+OneWayEquivalencyTable::RecursiveLookup(const unsigned long a) const
 {
   unsigned long ans = a;
   unsigned long last_ans = a;
@@ -60,22 +66,21 @@ unsigned long OneWayEquivalencyTable::RecursiveLookup(const unsigned long a) con
   ConstIterator it;
   ConstIterator hashEnd = m_HashMap.end();
 
-  while ( ( it = m_HashMap.find(ans) ) != hashEnd )
+  while ((it = m_HashMap.find(ans)) != hashEnd)
+  {
+    ans = (*it).second;
+    if (ans == a)
     {
-    ans = ( *it ).second;
-    if ( ans == a )
-      {
-      return last_ans;              // about to cycle again.
-      }
-    last_ans = ans;
+      return last_ans; // about to cycle again.
     }
+    last_ans = ans;
+  }
 
   return ans;
 }
 
 void
-OneWayEquivalencyTable
-::PrintSelf(std::ostream & os, Indent indent) const
+OneWayEquivalencyTable ::PrintSelf(std::ostream & os, Indent indent) const
 {
   Superclass::PrintSelf(os, indent);
 }
diff --git a/Modules/Segmentation/Watersheds/src/itkWatershedMiniPipelineProgressCommand.cxx b/Modules/Segmentation/Watersheds/src/itkWatershedMiniPipelineProgressCommand.cxx
index f1fe886655..5f7223867b 100644
--- a/Modules/Segmentation/Watersheds/src/itkWatershedMiniPipelineProgressCommand.cxx
+++ b/Modules/Segmentation/Watersheds/src/itkWatershedMiniPipelineProgressCommand.cxx
@@ -19,46 +19,48 @@
 
 namespace itk
 {
-void WatershedMiniPipelineProgressCommand
-::Execute(Object *caller, const EventObject & event)
+void
+WatershedMiniPipelineProgressCommand ::Execute(Object * caller, const EventObject & event)
 {
-  ProcessObject *po = dynamic_cast< ProcessObject * >( caller );
+  auto * po = dynamic_cast<ProcessObject *>(caller);
 
-  if ( !po ) { return; }
+  if (!po)
+  {
+    return;
+  }
 
-  if ( typeid( event ) == typeid( ProgressEvent ) )
+  if (typeid(event) == typeid(ProgressEvent))
+  {
+    m_Filter->UpdateProgress(static_cast<float>((m_Count + po->GetProgress()) / static_cast<float>(m_NumberOfFilters)));
+    if (po->GetProgress() == 1.0)
     {
-    m_Filter->UpdateProgress(
-      static_cast< float >( ( m_Count + po->GetProgress() ) /
-      static_cast< float >( m_NumberOfFilters ) ) );
-    if ( po->GetProgress() == 1.0 )
-      {
       m_Count += 1.0;
-      }
     }
+  }
 }
 
-void WatershedMiniPipelineProgressCommand
-::Execute(const Object *caller, const EventObject & event)
+void
+WatershedMiniPipelineProgressCommand ::Execute(const Object * caller, const EventObject & event)
 {
-  ProcessObject *po = dynamic_cast< ProcessObject * >( const_cast< Object * >( caller ) );
+  auto * po = dynamic_cast<ProcessObject *>(const_cast<Object *>(caller));
 
-  if ( !po ) { return; }
+  if (!po)
+  {
+    return;
+  }
 
-  if ( typeid( event ) == typeid( ProgressEvent ) )
+  if (typeid(event) == typeid(ProgressEvent))
+  {
+    m_Filter->UpdateProgress(static_cast<float>((m_Count + po->GetProgress()) / static_cast<float>(m_NumberOfFilters)));
+    if (po->GetProgress() == 1.0)
     {
-    m_Filter->UpdateProgress(
-      static_cast< float >( ( m_Count + po->GetProgress() ) /
-      static_cast< float >( m_NumberOfFilters ) ) );
-    if ( po->GetProgress() == 1.0 )
-      {
       m_Count += 1.0;
-      }
     }
+  }
 }
 
-void WatershedMiniPipelineProgressCommand
-::PrintSelf(std::ostream & os, Indent indent) const
+void
+WatershedMiniPipelineProgressCommand ::PrintSelf(std::ostream & os, Indent indent) const
 {
   Superclass::PrintSelf(os, indent);
   os << indent << "NumberOfFilters: " << m_NumberOfFilters << std::endl;
diff --git a/Modules/Segmentation/Watersheds/test/Baseline/PythonWatershedSegmentation1Test.png.md5 b/Modules/Segmentation/Watersheds/test/Baseline/PythonWatershedSegmentation1Test.png.md5
new file mode 100644
index 0000000000..d74ad6a965
--- /dev/null
+++ b/Modules/Segmentation/Watersheds/test/Baseline/PythonWatershedSegmentation1Test.png.md5
@@ -0,0 +1 @@
+012779e61538b8a6089518362518d7db
diff --git a/Modules/Segmentation/Watersheds/test/Baseline/PythonWatershedSegmentation1Test.png.sha512 b/Modules/Segmentation/Watersheds/test/Baseline/PythonWatershedSegmentation1Test.png.sha512
new file mode 100644
index 0000000000..383b38edc5
--- /dev/null
+++ b/Modules/Segmentation/Watersheds/test/Baseline/PythonWatershedSegmentation1Test.png.sha512
@@ -0,0 +1 @@
+0f8f0e34a409879e1942c9a56b791102690e8d09badf395938fbbcbc8437ff61296aaba633cc5ef4b524169ba8a3c5a50fdf2e81854e454a7730043dab697654
diff --git a/Modules/Segmentation/Watersheds/test/Baseline/itkIsolatedWatershedImageFilterTest.png.md5 b/Modules/Segmentation/Watersheds/test/Baseline/itkIsolatedWatershedImageFilterTest.png.md5
index 45b63072d3..3799ff02f7 100644
--- a/Modules/Segmentation/Watersheds/test/Baseline/itkIsolatedWatershedImageFilterTest.png.md5
+++ b/Modules/Segmentation/Watersheds/test/Baseline/itkIsolatedWatershedImageFilterTest.png.md5
@@ -1 +1 @@
-b19ea6df9f910060bb62fa5e983c59f1
+ffa0ca2b5f46c024bc408c6a77b6453c
diff --git a/Modules/Segmentation/Watersheds/test/Baseline/itkIsolatedWatershedImageFilterTest.png.sha512 b/Modules/Segmentation/Watersheds/test/Baseline/itkIsolatedWatershedImageFilterTest.png.sha512
index 178c84667e..78cbb4b405 100644
--- a/Modules/Segmentation/Watersheds/test/Baseline/itkIsolatedWatershedImageFilterTest.png.sha512
+++ b/Modules/Segmentation/Watersheds/test/Baseline/itkIsolatedWatershedImageFilterTest.png.sha512
@@ -1 +1 @@
-15fc65785e7054a10c6ad09f3e7c5add1a6cd54d7e2e1a8171a13efbc00c699f12edca296ffb541a77fe4d294682a1f3373733d37995fd83f06660b06eb1f8ac
+dcb1e52034ab274e83b7502337ac2d22670c032a25530be41c828ade01315c014977d8ad79f4295639ff616b4df42b36cdf4007b48882410b9072a4c9a973707
diff --git a/Modules/Segmentation/Watersheds/test/Input/VisibleWomanEyeSlice.png.md5 b/Modules/Segmentation/Watersheds/test/Input/VisibleWomanEyeSlice.png.md5
new file mode 100644
index 0000000000..63e938ba48
--- /dev/null
+++ b/Modules/Segmentation/Watersheds/test/Input/VisibleWomanEyeSlice.png.md5
@@ -0,0 +1 @@
+1aaec57175b272378b0256134b607afc
diff --git a/Modules/Segmentation/Watersheds/test/Input/VisibleWomanEyeSlice.png.sha512 b/Modules/Segmentation/Watersheds/test/Input/VisibleWomanEyeSlice.png.sha512
new file mode 100644
index 0000000000..4578ee8fb2
--- /dev/null
+++ b/Modules/Segmentation/Watersheds/test/Input/VisibleWomanEyeSlice.png.sha512
@@ -0,0 +1 @@
+a9877ac2537abd0604b8a0c6f2cd06f2aa05e3f9d2537b9a56472283fca1681d990e7be9a597bf8fd229a396cc21635f8d7638fb4012d7a852861a9a626d087b
diff --git a/Modules/Segmentation/Watersheds/test/itkIsolatedWatershedImageFilterTest.cxx b/Modules/Segmentation/Watersheds/test/itkIsolatedWatershedImageFilterTest.cxx
index 9fbbbbee8b..6b5a932ff5 100644
--- a/Modules/Segmentation/Watersheds/test/itkIsolatedWatershedImageFilterTest.cxx
+++ b/Modules/Segmentation/Watersheds/test/itkIsolatedWatershedImageFilterTest.cxx
@@ -24,118 +24,115 @@
 #include <fstream>
 
 
-int itkIsolatedWatershedImageFilterTest( int argc, char* argv[] )
+int
+itkIsolatedWatershedImageFilterTest(int argc, char * argv[])
 {
-  if( argc < 9 )
-    {
+  if (argc < 9)
+  {
     std::cerr << "Missing parameters" << std::endl;
-    std::cerr << "Usage: " << argv[0]
-      << " InputImage"
-      << " OutputImage"
-      << " seed1_x"
-      << " seed1_y"
-      << " seed2_x"
-      << " seed2_y"
-      << " threshold"
-      << " isolatedValueTolerance";
+    std::cerr << "Usage: " << itkNameOfTestExecutableMacro(argv) << " InputImage"
+              << " OutputImage"
+              << " seed1_x"
+              << " seed1_y"
+              << " seed2_x"
+              << " seed2_y"
+              << " threshold"
+              << " isolatedValueTolerance";
     std::cerr << std::endl;
     return EXIT_FAILURE;
-    }
+  }
 
-  const unsigned int Dimension = 2;
+  constexpr unsigned int Dimension = 2;
 
-  typedef unsigned char                       PixelType;
-  typedef itk::Image< PixelType, Dimension >  ImageType;
+  using PixelType = unsigned char;
+  using ImageType = itk::Image<PixelType, Dimension>;
 
-  itk::ImageFileReader< ImageType >::Pointer reader =
-    itk::ImageFileReader< ImageType >::New();
+  itk::ImageFileReader<ImageType>::Pointer reader = itk::ImageFileReader<ImageType>::New();
 
-  reader->SetFileName( argv[1] );
+  reader->SetFileName(argv[1]);
 
-  TRY_EXPECT_NO_EXCEPTION( reader->Update() );
+  ITK_TRY_EXPECT_NO_EXCEPTION(reader->Update());
 
 
   // Create the IsolatedWatershedImageFilter object
-  typedef itk::IsolatedWatershedImageFilter< ImageType, ImageType > FilterType;
+  using FilterType = itk::IsolatedWatershedImageFilter<ImageType, ImageType>;
 
   FilterType::Pointer filter = FilterType::New();
 
-  EXERCISE_BASIC_OBJECT_METHODS( filter, IsolatedWatershedImageFilter,
-    ImageToImageFilter );
+  ITK_EXERCISE_BASIC_OBJECT_METHODS(filter, IsolatedWatershedImageFilter, ImageToImageFilter);
 
 
-  filter->SetInput( reader->GetOutput() );
+  filter->SetInput(reader->GetOutput());
 
 
   FilterType::IndexType seed1, seed2;
-  seed1.Fill( 0 );
-  seed2.Fill( 0 );
+  seed1.Fill(0);
+  seed2.Fill(0);
 
   // Test the seeds being outside the input image exception
   ImageType::Pointer inputImage = reader->GetOutput();
 
   ImageType::RegionType region = inputImage->GetLargestPossibleRegion();
-  ImageType::IndexType offset;
-  offset.Fill( 10 );
+  ImageType::IndexType  offset;
+  offset.Fill(10);
 
   seed1[0] = region.GetUpperIndex()[0] + offset[0];
-  filter->SetSeed1( seed1 );
+  filter->SetSeed1(seed1);
 
-  TRY_EXPECT_EXCEPTION( filter->Update() );
+  ITK_TRY_EXPECT_EXCEPTION(filter->Update());
 
-  seed1.Fill( 0 );
-  filter->SetSeed1( seed1 );
+  seed1.Fill(0);
+  filter->SetSeed1(seed1);
 
   seed2[1] = region.GetUpperIndex()[1] + offset[1];
-  filter->SetSeed2( seed2 );
+  filter->SetSeed2(seed2);
 
-  TRY_EXPECT_EXCEPTION( filter->Update() );
+  ITK_TRY_EXPECT_EXCEPTION(filter->Update());
 
 
-  seed1[0] = atoi( argv[3] );
-  seed1[1] = atoi( argv[4] );
-  filter->SetSeed1( seed1 );
-  TEST_SET_GET_VALUE( seed1, filter->GetSeed1() );
+  seed1[0] = std::stoi(argv[3]);
+  seed1[1] = std::stoi(argv[4]);
+  filter->SetSeed1(seed1);
+  ITK_TEST_SET_GET_VALUE(seed1, filter->GetSeed1());
 
-  seed2[0] = atoi( argv[5] );
-  seed2[1] = atoi( argv[6] );
-  filter->SetSeed2( seed2 );
-  TEST_SET_GET_VALUE( seed2, filter->GetSeed2() );
+  seed2[0] = std::stoi(argv[5]);
+  seed2[1] = std::stoi(argv[6]);
+  filter->SetSeed2(seed2);
+  ITK_TEST_SET_GET_VALUE(seed2, filter->GetSeed2());
 
-  double threshold = atof( argv[7] );
-  filter->SetThreshold( threshold );
-  TEST_SET_GET_VALUE( threshold, filter->GetThreshold() );
+  double threshold = std::stod(argv[7]);
+  filter->SetThreshold(threshold);
+  ITK_TEST_SET_GET_VALUE(threshold, filter->GetThreshold());
 
   PixelType replaceValue1 = 255;
-  filter->SetReplaceValue1( replaceValue1 );
-  TEST_SET_GET_VALUE( replaceValue1, filter->GetReplaceValue1() );
+  filter->SetReplaceValue1(replaceValue1);
+  ITK_TEST_SET_GET_VALUE(replaceValue1, filter->GetReplaceValue1());
 
   PixelType replaceValue2 = 127;
-  filter->SetReplaceValue2( replaceValue2 );
-  TEST_SET_GET_VALUE( replaceValue2, filter->GetReplaceValue2() );
+  filter->SetReplaceValue2(replaceValue2);
+  ITK_TEST_SET_GET_VALUE(replaceValue2, filter->GetReplaceValue2());
 
   double upperValueLimit = 1.0;
-  filter->SetUpperValueLimit( upperValueLimit );
-  TEST_SET_GET_VALUE( upperValueLimit, filter->GetUpperValueLimit() );
+  filter->SetUpperValueLimit(upperValueLimit);
+  ITK_TEST_SET_GET_VALUE(upperValueLimit, filter->GetUpperValueLimit());
 
-  double isolatedValueTolerance = atof( argv[8] );
-  filter->SetIsolatedValueTolerance( isolatedValueTolerance );
-  TEST_SET_GET_VALUE( isolatedValueTolerance,
-    filter->GetIsolatedValueTolerance() );
+  double isolatedValueTolerance = std::stod(argv[8]);
+  filter->SetIsolatedValueTolerance(isolatedValueTolerance);
+  ITK_TEST_SET_GET_VALUE(isolatedValueTolerance, filter->GetIsolatedValueTolerance());
 
-  TRY_EXPECT_NO_EXCEPTION( filter->Update() );
+  ITK_TRY_EXPECT_NO_EXCEPTION(filter->Update());
 
 
   double isolatedValue = filter->GetIsolatedValue();
   std::cout << "IsolatedValue: " << isolatedValue << std::endl;
 
   // Write the filter output
-  typedef itk::ImageFileWriter< ImageType > WriterType;
+  using WriterType = itk::ImageFileWriter<ImageType>;
   WriterType::Pointer writer = WriterType::New();
-  writer->SetInput( filter->GetOutput() );
-  writer->SetFileName( argv[2] );
+  writer->SetInput(filter->GetOutput());
+  writer->SetFileName(argv[2]);
 
-  TRY_EXPECT_NO_EXCEPTION( writer->Update() );
+  ITK_TRY_EXPECT_NO_EXCEPTION(writer->Update());
 
 
   std::cout << "Test finished." << std::endl;
diff --git a/Modules/Segmentation/Watersheds/test/itkMorphologicalWatershedFromMarkersImageFilterTest.cxx b/Modules/Segmentation/Watersheds/test/itkMorphologicalWatershedFromMarkersImageFilterTest.cxx
index f47a6cb2b6..b2ba410b0f 100644
--- a/Modules/Segmentation/Watersheds/test/itkMorphologicalWatershedFromMarkersImageFilterTest.cxx
+++ b/Modules/Segmentation/Watersheds/test/itkMorphologicalWatershedFromMarkersImageFilterTest.cxx
@@ -24,124 +24,119 @@
 #include "itkTestingMacros.h"
 
 
-int itkMorphologicalWatershedFromMarkersImageFilterTest( int argc, char * argv[] )
+int
+itkMorphologicalWatershedFromMarkersImageFilterTest(int argc, char * argv[])
 {
-  if( argc < 6 )
-    {
+  if (argc < 6)
+  {
     std::cerr << "Missing parameters" << std::endl;
-    std::cerr << "Usage: " << argv[0]
-      << " inputImageFile"
-      << " markerImageFile"
-      << " outputImageFile"
-      << " markWatershedLine"
-      << " fullyConnected"
-      << " [ovelayOutput [alpha]]";
+    std::cerr << "Usage: " << itkNameOfTestExecutableMacro(argv) << " inputImageFile"
+              << " markerImageFile"
+              << " outputImageFile"
+              << " markWatershedLine"
+              << " fullyConnected"
+              << " [ovelayOutput [alpha]]";
     std::cerr << std::endl;
     return EXIT_FAILURE;
-    }
+  }
 
-  const unsigned int Dimension = 2;
+  constexpr unsigned int Dimension = 2;
 
-  typedef unsigned char PixelType;
+  using PixelType = unsigned char;
 
-  typedef itk::Image< PixelType, Dimension > ImageType;
+  using ImageType = itk::Image<PixelType, Dimension>;
 
-  typedef itk::ImageFileReader< ImageType > ReaderType;
+  using ReaderType = itk::ImageFileReader<ImageType>;
   ReaderType::Pointer reader = ReaderType::New();
-  reader->SetFileName( argv[1] );
+  reader->SetFileName(argv[1]);
 
   ReaderType::Pointer reader2 = ReaderType::New();
-  reader2->SetFileName( argv[2] );
+  reader2->SetFileName(argv[2]);
 
-  typedef itk::MorphologicalWatershedFromMarkersImageFilter< ImageType, ImageType >
-    FilterType;
+  using FilterType = itk::MorphologicalWatershedFromMarkersImageFilter<ImageType, ImageType>;
   FilterType::Pointer filter = FilterType::New();
 
-  EXERCISE_BASIC_OBJECT_METHODS( filter,
-    MorphologicalWatershedFromMarkersImageFilter,
-    ImageToImageFilter );
+  ITK_EXERCISE_BASIC_OBJECT_METHODS(filter, MorphologicalWatershedFromMarkersImageFilter, ImageToImageFilter);
 
 
-  bool markWatershedLine = atoi( argv[4] );
-  TEST_SET_GET_BOOLEAN( filter, MarkWatershedLine, markWatershedLine );
+  bool markWatershedLine = std::stoi(argv[4]);
+  ITK_TEST_SET_GET_BOOLEAN(filter, MarkWatershedLine, markWatershedLine);
 
-  bool fullyConnected = atoi( argv[5] );
-  TEST_SET_GET_BOOLEAN( filter, FullyConnected, fullyConnected );
+  bool fullyConnected = std::stoi(argv[5]);
+  ITK_TEST_SET_GET_BOOLEAN(filter, FullyConnected, fullyConnected);
 
 
-  filter->SetInput( reader->GetOutput() );
+  filter->SetInput(reader->GetOutput());
 
   // Test the marker and input image size disagreement exception
   //
   // Create a marker image larger than the input image
 
-  TRY_EXPECT_NO_EXCEPTION( reader->Update() );
+  ITK_TRY_EXPECT_NO_EXCEPTION(reader->Update());
 
-  ImageType::RegionType region = reader->GetOutput()->GetLargestPossibleRegion();
+  ImageType::RegionType           region = reader->GetOutput()->GetLargestPossibleRegion();
   ImageType::RegionType::SizeType size = region.GetSize();
-  for( unsigned int i = 0; i < size.GetSizeDimension(); ++i )
-    {
-    size[i] = size[i]*2;
-    }
+  for (unsigned int i = 0; i < size.GetSizeDimension(); ++i)
+  {
+    size[i] = size[i] * 2;
+  }
 
   ImageType::RegionType::IndexType index;
-  index.Fill( 0 );
+  index.Fill(0);
 
-  region.SetSize( size );
-  region.SetIndex( index );
+  region.SetSize(size);
+  region.SetIndex(index);
 
   FilterType::LabelImageType::Pointer largerMarkerImage = FilterType::LabelImageType::New();
-  largerMarkerImage->SetBufferedRegion( region );
-  largerMarkerImage->SetLargestPossibleRegion( region );
+  largerMarkerImage->SetBufferedRegion(region);
+  largerMarkerImage->SetLargestPossibleRegion(region);
   largerMarkerImage->Allocate();
 
-  filter->SetInput2( largerMarkerImage );
+  filter->SetInput2(largerMarkerImage);
 
-  TRY_EXPECT_EXCEPTION( filter->Update() );
+  ITK_TRY_EXPECT_EXCEPTION(filter->Update());
 
 
   FilterType::LabelImageType::Pointer markerImage = reader2->GetOutput();
-  filter->SetInput2( markerImage );
-  TEST_SET_GET_VALUE( markerImage, filter->GetMarkerImage() );
+  filter->SetInput2(markerImage);
+  ITK_TEST_SET_GET_VALUE(markerImage, filter->GetMarkerImage());
 
-  itk::SimpleFilterWatcher watcher( filter,
-    "MorphologicalWatershedFromMarkersImageFilter" );
+  itk::SimpleFilterWatcher watcher(filter, "MorphologicalWatershedFromMarkersImageFilter");
 
-  TRY_EXPECT_NO_EXCEPTION( filter->Update() );
+  ITK_TRY_EXPECT_NO_EXCEPTION(filter->Update());
 
 
   // Write output image
-  typedef itk::ImageFileWriter< ImageType > WriterType;
+  using WriterType = itk::ImageFileWriter<ImageType>;
   WriterType::Pointer writer = WriterType::New();
-  writer->SetInput( filter->GetOutput() );
-  writer->SetFileName( argv[3] );
+  writer->SetInput(filter->GetOutput());
+  writer->SetFileName(argv[3]);
 
-  TRY_EXPECT_NO_EXCEPTION( writer->Update() );
+  ITK_TRY_EXPECT_NO_EXCEPTION(writer->Update());
 
-  if( argc > 6 )
-    {
-    typedef itk::RGBPixel< PixelType >            RGBPixelType;
-    typedef itk::Image< RGBPixelType, Dimension > RGBImageType;
+  if (argc > 6)
+  {
+    using RGBPixelType = itk::RGBPixel<PixelType>;
+    using RGBImageType = itk::Image<RGBPixelType, Dimension>;
 
-    typedef itk::LabelOverlayImageFilter< ImageType, ImageType, RGBImageType>
-      OverlayType;
+    using OverlayType = itk::LabelOverlayImageFilter<ImageType, ImageType, RGBImageType>;
     OverlayType::Pointer overlay = OverlayType::New();
-    overlay->SetInput( reader->GetOutput() );
-    overlay->SetLabelImage( filter->GetOutput() );
+    overlay->SetInput(reader->GetOutput());
+    overlay->SetLabelImage(filter->GetOutput());
 
-    typedef itk::ImageFileWriter< RGBImageType > RGBWriterType;
+    using RGBWriterType = itk::ImageFileWriter<RGBImageType>;
     RGBWriterType::Pointer rgbwriter = RGBWriterType::New();
-    rgbwriter->SetInput( overlay->GetOutput() );
-    rgbwriter->SetFileName( argv[6] );
-
-    if( argc > 7 )
-      {
-      overlay->SetOpacity( atof( argv[7] ) );
-      }
+    rgbwriter->SetInput(overlay->GetOutput());
+    rgbwriter->SetFileName(argv[6]);
 
-    TRY_EXPECT_NO_EXCEPTION( rgbwriter->Update() );
+    if (argc > 7)
+    {
+      overlay->SetOpacity(std::stod(argv[7]));
     }
 
+    ITK_TRY_EXPECT_NO_EXCEPTION(rgbwriter->Update());
+  }
+
   std::cerr << "Test finished" << std::endl;
   return EXIT_SUCCESS;
 }
